GET /licenseusage
/licenseusage
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
OK
{
"consumed_service_cores": "number",
"licensed_cores": "number",
"licensed_service_cores": "number",
"num_se_vcpus": "number",
"reserved_service_cores": "number",
"used_service_cores": "number"
}
Service cores actively consumed across all tenants for the default tier. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Alias of licensed_service_cores. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Service cores licensed for the controller's default license tier. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Alias of used_service_cores. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Per-tier breakdown, keyed by LicenseTierType name (e.g. ENTERPRISE, ENTERPRISE_WITH_CLOUD_SERVICES). Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Service cores held in escrow but not yet consumed, for the default tier. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
consumed_service_cores + reserved_service_cores. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
curl -H 'Authorization: <value>' https://{api_host}/api/licenseusage